#
# spec file for package kdetoys4 (Version 4.3.5)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           kdetoys4
BuildRequires:  kdebase4-workspace-devel libqimageblitz-devel
License:        GPLv2+ ; LGPLv2.1+
Group:          System/GUI/KDE
Summary:        Kdetoys Base Package
Url:            http://www.kde.org
Version:        4.3.5
Release:        0.1.1
Source0:        kdetoys-%version.tar.bz2
Patch:          4_3_BRANCH.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%kde4_runtime_requires
Suggests:       amor
Suggests:       kteatime
Suggests:       ktux
Suggests:       kweather

%description
This package suggests the packages, built from the kdetoys module.



Authors:
--------
    The KDE Team <kde@kde.org>

%prep
%setup -q -n kdetoys-%version
%patch

%build
  %cmake_kde4 -d build
  %make_jobs

%install
  cd build
  %makeinstall
  %create_subdir_filelist -d amor
  %create_subdir_filelist -d ktux
  %create_subdir_filelist -d kteatime
  %create_subdir_filelist -d ktux
  %create_subdir_filelist -d kweather
  cd ..
  %create_exclude_filelist
  %suse_update_desktop_file -r kteatime    Applet
  %suse_update_desktop_file amor        Amusement
  rm -rf $RPM_BUILD_ROOT/usr/share/kde4/apps/kdesktop
  %kde_post_install

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
  rm -rf $RPM_BUILD_ROOT
  rm -rf filelists

%package -n amor
License:        GPLv2+
Group:          Amusements/Toys/Other
Summary:        On-Screen Creature
%kde4_runtime_requires
Provides:       kde4-amor = 4.3.0
Obsoletes:      kde4-amor < 4.3.0

%description -n amor
KDE creature for your desktop



Authors:
--------
    The KDE Team <kde@kde.org>

%post -n amor -p /sbin/ldconfig

%postun -n amor -p /sbin/ldconfig

%files -n amor -f filelists/amor
%defattr(-,root,root)
%doc COPYING COPYING.DOC README

%package -n kteatime
License:        No license agreement found in package
Group:          Amusements/Toys/Other
Summary:        Tea Cooker
Provides:       kde4-kteatime = 4.3.0
Obsoletes:      kde4-kteatime < 4.3.0
%kde4_runtime_requires

%description -n kteatime
KDE time utility for making a fine cup of tea



Authors:
--------
    The KDE Team <kde@kde.org>

%post -n kteatime -p /sbin/ldconfig

%postun -n kteatime -p /sbin/ldconfig

%files -n kteatime -f filelists/kteatime
%defattr(-,root,root)
%doc COPYING COPYING.DOC README

%package -n ktux
License:        No license agreement found in package
Group:          Amusements/Toys/Screensavers
Summary:        Tux Screen Saver
Provides:       kde4-ktux = 4.3.0
Obsoletes:      kde4-ktux < 4.3.0
%kde4_runtime_requires

%description -n ktux
This package contains a screen saver showing Tux in space.



Authors:
--------
    The KDE Team <kde@kde.org>

%post -n ktux -p /sbin/ldconfig

%postun -n ktux -p /sbin/ldconfig

%files -n ktux -f filelists/ktux
%defattr(-,root,root)
%doc COPYING COPYING.DOC README

%package -n kweather
License:        No license agreement found in package
Group:          Amusements/Toys/Other
Summary:        Weather service and applet
Provides:       kde4-kweather = 4.3.0
Obsoletes:      kde4-kweather < 4.3.0
%kde4_runtime_requires

%description -n kweather
This package contains the KWeather service and an accompanying panel
applet.



Authors:
--------
    The KDE Team <kde@kde.org>

%post -n kweather -p /sbin/ldconfig

%postun -n kweather -p /sbin/ldconfig

%files -n kweather -f filelists/kweather
%defattr(-,root,root)
%doc COPYING COPYING.DOC README
%dir %_kde4_appsdir/kweatherservice

%files -f filelists/exclude
%defattr(-,root,root)
%doc COPYING COPYING.DOC README

%changelog
* Thu Jan 21 2010 dmueller@suse.de
- update to 4.3.5
  * see http://kde.org/announcements/changelogs/changelog4_3_4to4_3_5.php for details
* Thu Dec  3 2009 dmueller@suse.de
- update to 4.3.4
  * see http://kde.org/announcements/changelogs/changelog4_3_3to4_3_4.php for details
* Thu Nov 19 2009 llunak@novell.com
- sync 11.2 KDE packages with SLE (fate#305847)
* Thu Sep 24 2009 beineri@opensuse.org
- update 4_3_BRANCH.diff: translation updates
* Fri Aug 28 2009 dmueller@suse.de
- update to 4.3.1
  * see http://kde.org/announcements/changelogs/changelog4_3_0to4_3_1.php for details
* Wed Jul 29 2009 dmueller@suse.de
- update to 4.3.0
  * see http://kde.org/announcements/4.3 for details
* Tue Jul 21 2009 dmueller@suse.de
- update to 4.2.98
* Wed Jul  8 2009 dmueller@suse.de
- update to 4.2.96
* Wed Jun 24 2009 dmueller@suse.de
- update to 4.2.95
* Sat Jun 20 2009 beineri@opensuse.org
- drop kde4- package prefixes
* Wed Jun  3 2009 dmueller@suse.de
- update to 4.2.90
* Wed May 27 2009 dmueller@suse.de
- update to 4.2.88svn973768
* Tue May 19 2009 dmueller@suse.de
- update to 4.2.87svn969966
* Mon May 18 2009 dmueller@suse.de
- update to 4.2.86svn967995
* Thu May 14 2009 dmueller@suse.de
- update to 4.2.85 (KDE 4.3 Beta1)
* Thu Apr 30 2009 dmueller@suse.de
- update to 4.2.3
  * see http://kde.org/announcements/changelogs/changelog4_2_2to4_2_3.php
* Fri Mar 27 2009 dmueller@suse.de
- update to 4.2.2
  * see http://kde.org/announcements/changelogs/changelog4_2_1to4_2_2.php
* Fri Feb 27 2009 dmueller@suse.de
- update to 4.2.1
  * see http://kde.org/announcements/changelogs/changelog4_2_0to4_2_1.php
* Thu Jan 22 2009 dmueller@suse.de
- update to 4.2.0
* Tue Jan 13 2009 dmueller@suse.de
- update to 4.1.96
* Fri Jan  9 2009 dmueller@suse.de
- update to 4.1.87 (KDE 4.2 Januar snapshot)
* Fri Oct 31 2008 dmueller@suse.de
- update to 4.1.3
  * see http://kde.org/announcements/changelogs/changelog4_1_2to4_1_3.php
* Thu Sep 25 2008 dmueller@suse.de
- update to 4.1.2
  * see http://kde.org/announcements/changelogs/changelog4_1_1to4_1_2.php
* Thu Aug 28 2008 dmueller@suse.de
- update to 4.1.1
  * see http://kde.org/announcements/changelogs/changelog4_1to4_1_1.php
* Wed Aug 13 2008 dmueller@suse.de
- branch diff update
* Wed Jul 23 2008 dmueller@suse.de
- update to 4.1.0
* Fri Jul 18 2008 dmueller@suse.de
- update to 4.0.99
* Fri Jul 11 2008 dmueller@suse.de
- update to 4.0.98
* Thu Jul  3 2008 dmueller@suse.de
- update to 4.0.85
* Thu Jun 26 2008 dmueller@suse.de
- update to 4.0.84
* Wed Jun 18 2008 dmueller@suse.de
- update to 4.0.83
* Tue Jun 10 2008 dmueller@suse.de
- update to 4.0.82
* Mon Jun  9 2008 dmueller@suse.de
- update to 4.0.81
* Thu May  1 2008 dmueller@suse.de
- update to 4.0.4
  * http://www.kde.org/announcements/changelogs/changelog4_0_3to4_0_4.php
* Mon Apr 21 2008 dmueller@suse.de
- fix file lists
* Thu Mar 27 2008 dmueller@suse.de
- update to 4.0.3
* Tue Mar 11 2008 dmueller@suse.de
- update 4_0_BRANCH.diff
  * translation update
* Wed Feb 27 2008 dmueller@suse.de
- update to 4.0.2
* Fri Feb 15 2008 dmueller@suse.de
- update 4_0_BRANCH.diff
* Thu Jan 31 2008 dmueller@suse.de
- update to 4.0.1
* Sun Jan 20 2008 stbinner@suse.de
- update 4_0_BRANCH.diff
* Sat Jan  5 2008 stbinner@suse.de
- update to 4.0 release
* Wed Jan  2 2008 stbinner@suse.de
- update to 3.97.2
* Sun Dec 16 2007 dmueller@suse.de
- update to 3.97.1
* Wed Dec  5 2007 dmueller@suse.de
- update to 3.97.0
* Tue Dec  4 2007 dmueller@suse.de
- update to 3.96.3
* Wed Nov 28 2007 dmueller@suse.de
- update to 3.96.2
* Wed Nov 21 2007 dmueller@suse.de
- update to 3.96.1
* Wed Nov 14 2007 dmueller@suse.de
- update to 3.96.0
* Wed Nov  7 2007 dmueller@suse.de
- update to 3.95.2
* Thu Nov  1 2007 dmueller@suse.de
- update to 3.95.1
* Fri Oct 26 2007 dmueller@suse.de
- update to KDE 4.0 beta4
* Thu Oct 18 2007 dmueller@suse.de
- remove kdesktop related stuff
* Thu Oct 11 2007 dmueller@suse.de
- update to KDE 4.0 beta3
* Tue Oct  2 2007 stbinner@suse.de
- update to 3.93.0.svn720129
* Wed Sep 26 2007 stbinner@suse.de
- update to 3.93.0.svn717255
* Thu Sep 13 2007 stbinner@suse.de
- update to 3.93.0.svn712063
* Fri Aug 31 2007 stbinner@suse.de
- update to 3.92.0.svn706767
* Thu Aug 23 2007 stbinner@suse.de
- update to 3.92.0.svn703917
* Thu Aug 23 2007 stbinner@suse.de
- update to 3.92.0.svn703897
* Thu Aug 16 2007 stbinner@suse.de
- update to 3.92.0.svn700768
* Thu Aug  9 2007 stbinner@suse.de
- update to 3.92.0.svn697328
* Sat Jul 28 2007 stbinner@suse.de
- update to KDE 4.0 Beta 1
* Thu Jul 12 2007 stbinner@suse.de
- update to 3.91.0.svn672302
* Sat Jun 23 2007 stbinner@suse.de
- update to 3.90.1.svn678425
* Fri Jun  8 2007 stbinner@suse.de
- update to 3.90.1.svn670093
* Wed May 30 2007 coolo@suse.de
- simplify spec file with new macros
- adopt file list to new installation paths
* Mon May 28 2007 dmueller@suse.de
- update to 3.90.1.svn668135
* Fri May 18 2007 stbinner@suse.de
- initial package in abuild
